VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::HostStub Class Reference

Remote stub implementation of the Host API service. More...

Inherits vmware::vcenter::Host.

List of all members.

## Public Member Functions
| HostStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
string | Create (vmware.vcenter.HostTypes.CreateSpec spec)
| Add a new standalone host in the vCenter inventory.
string | Create (vmware.vcenter.HostTypes.CreateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Add a new standalone host in the vCenter inventory.
global::System.Threading.Tasks.Task < string > | CreateAsync (vmware.vcenter.HostTypes.CreateSpec spec)
| Add a new standalone host in the vCenter inventory.
global::System.Threading.Tasks.Task < string > | CreateAsync (vmware.vcenter.HostTypes.CreateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Add a new standalone host in the vCenter inventory.
void | Delete (string host)
| Remove a standalone host from the vCenter Server.
void | Delete (string host, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Remove a standalone host from the vCenter Server.
global::System.Threading.Tasks.Task | DeleteAsync (string host)
| Remove a standalone host from the vCenter Server.
global::System.Threading.Tasks.Task | DeleteAsync (string host, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Remove a standalone host from the vCenter Server.
global::System.Collections.Generic.List < vmware.vcenter.HostTypes.Summary > | List (vmware.vcenter.HostTypes.FilterSpec filter)
| Returns information about at most 1000 visible (subject to permission checks) hosts in vCenter matching the Host.FilterSpec .
global::System.Collections.Generic.List < vmware.vcenter.HostTypes.Summary > | List (vmware.vcenter.HostTypes.FilterSpec filter, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about at most 1000 visible (subject to permission checks) hosts in vCenter matching the Host.FilterSpec .
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.HostTypes.Summary > > | ListAsync (vmware.vcenter.HostTypes.FilterSpec filter)
| Returns information about at most 1000 visible (subject to permission checks) hosts in vCenter matching the Host.FilterSpec .
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.HostTypes.Summary > > | ListAsync (vmware.vcenter.HostTypes.FilterSpec filter, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about at most 1000 visible (subject to permission checks) hosts in vCenter matching the Host.FilterSpec .
void | Connect (string host)
| Connect to the host corresponding to host previously added to the vCenter server.
void | Connect (string host, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Connect to the host corresponding to host previously added to the vCenter server.
global::System.Threading.Tasks.Task | ConnectAsync (string host)
| Connect to the host corresponding to host previously added to the vCenter server.
global::System.Threading.Tasks.Task | ConnectAsync (string host, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Connect to the host corresponding to host previously added to the vCenter server.
void | Disconnect (string host)
| Disconnect the host corresponding to host from the vCenter server.
void | Disconnect (string host, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Disconnect the host corresponding to host from the vCenter server.
global::System.Threading.Tasks.Task | DisconnectAsync (string host)
| Disconnect the host corresponding to host from the vCenter server.
global::System.Threading.Tasks.Task | DisconnectAsync (string host, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Disconnect the host corresponding to host from the vCenter server.

## Detailed Description

Remote stub implementation of the Host API service.

## Constructor & Destructor Documentation

vmware::vcenter::HostStub::HostStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

void vmware::vcenter::HostStub::Connect | ( | string | host | ) | `[inline]`

Connect to the host corresponding to host previously added to the vCenter server.

Exceptions:

  vmware.vapi.std.errors.AlreadyInDesiredState | if the host associated with host is already connected.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if there is no host associated with host in the system.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  host | Identifier of the host to be reconnected. The parameter must be an identifier for the resource type: `HostSystem` .

Implements vmware::vcenter::Host.

void vmware::vcenter::HostStub::Connect | ( | string | host,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Connect to the host corresponding to host previously added to the vCenter server.

Exceptions:

  vmware.vapi.std.errors.AlreadyInDesiredState | if the host associated with host is already connected.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if there is no host associated with host in the system.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  host | Identifier of the host to be reconnected. The parameter must be an identifier for the resource type: `HostSystem` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::Host.

global::System.Threading.Tasks.Task vmware::vcenter::HostStub::ConnectAsync | ( | string | host,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Connect to the host corresponding to host previously added to the vCenter server.

Exceptions:

  vmware.vapi.std.errors.AlreadyInDesiredState | if the host associated with host is already connected.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if there is no host associated with host in the system.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  host | Identifier of the host to be reconnected. The parameter must be an identifier for the resource type: `HostSystem` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::Host.

global::System.Threading.Tasks.Task vmware::vcenter::HostStub::ConnectAsync | ( | string | host | ) | `[inline]`

Connect to the host corresponding to host previously added to the vCenter server.

Exceptions:

  vmware.vapi.std.errors.AlreadyInDesiredState | if the host associated with host is already connected.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if there is no host associated with host in the system.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  host | Identifier of the host to be reconnected. The parameter must be an identifier for the resource type: `HostSystem` .

Implements vmware::vcenter::Host.

string vmware::vcenter::HostStub::Create | ( | vmware.vcenter.HostTypes.CreateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Add a new standalone host in the vCenter inventory.

The newly connected host will be in connected state. The vCenter Server will verify the SSL certificate before adding the host to its inventory. In the case where the SSL certificate cannot be verified because the Certificate Authority is not recognized or the certificate is self signed, the vCenter Server will fall back to thumbprint verification mode as defined by Host.CreateSpec.ThumbprintVerification .

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | if the host with the same name is already present.
  vmware.vapi.std.errors.Error | if installation of VirtualCenter agent on a host fails.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.InvalidArgument | if the host name is invalid.
  vmware.vapi.std.errors.InvalidArgument | if the host folder is invalid.
  vmware.vapi.std.errors.InvalidArgument | if the SSL thumbprint specified is invalid.
  vmware.vapi.std.errors.InvalidElementType | if the host folder id does not support vSphere compute resource as its children type.
  vmware.vapi.std.errors.ResourceInUse | if the host is already being managed by another vCenter Server
  vmware.vapi.std.errors.UnableToAllocateResource | if there are not enough licenses to add the host.
  vmware.vapi.std.errors.Unauthenticated | if the user name or password for the administration account on the host are invalid.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unsupported | if the software version on the host is not supported.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  spec | Specification for the new host to be created.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The newly created identifier of the host in vCenter. The result will be an identifier for the resource type: `HostSystem` .

Implements vmware::vcenter::Host.

string vmware::vcenter::HostStub::Create | ( | vmware.vcenter.HostTypes.CreateSpec | spec | ) | `[inline]`

Add a new standalone host in the vCenter inventory.

The newly connected host will be in connected state. The vCenter Server will verify the SSL certificate before adding the host to its inventory. In the case where the SSL certificate cannot be verified because the Certificate Authority is not recognized or the certificate is self signed, the vCenter Server will fall back to thumbprint verification mode as defined by Host.CreateSpec.ThumbprintVerification .

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | if the host with the same name is already present.
  vmware.vapi.std.errors.Error | if installation of VirtualCenter agent on a host fails.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.InvalidArgument | if the host name is invalid.
  vmware.vapi.std.errors.InvalidArgument | if the host folder is invalid.
  vmware.vapi.std.errors.InvalidArgument | if the SSL thumbprint specified is invalid.
  vmware.vapi.std.errors.InvalidElementType | if the host folder id does not support vSphere compute resource as its children type.
  vmware.vapi.std.errors.ResourceInUse | if the host is already being managed by another vCenter Server
  vmware.vapi.std.errors.UnableToAllocateResource | if there are not enough licenses to add the host.
  vmware.vapi.std.errors.Unauthenticated | if the user name or password for the administration account on the host are invalid.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unsupported | if the software version on the host is not supported.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  spec | Specification for the new host to be created.

Returns:
  The newly created identifier of the host in vCenter. The result will be an identifier for the resource type: `HostSystem` .

Implements vmware::vcenter::Host.

global::System.Threading.Tasks.Task<string> vmware::vcenter::HostStub::CreateAsync | ( | vmware.vcenter.HostTypes.CreateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Add a new standalone host in the vCenter inventory.

The newly connected host will be in connected state. The vCenter Server will verify the SSL certificate before adding the host to its inventory. In the case where the SSL certificate cannot be verified because the Certificate Authority is not recognized or the certificate is self signed, the vCenter Server will fall back to thumbprint verification mode as defined by Host.CreateSpec.ThumbprintVerification .

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | if the host with the same name is already present.
  vmware.vapi.std.errors.Error | if installation of VirtualCenter agent on a host fails.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.InvalidArgument | if the host name is invalid.
  vmware.vapi.std.errors.InvalidArgument | if the host folder is invalid.
  vmware.vapi.std.errors.InvalidArgument | if the SSL thumbprint specified is invalid.
  vmware.vapi.std.errors.InvalidElementType | if the host folder id does not support vSphere compute resource as its children type.
  vmware.vapi.std.errors.ResourceInUse | if the host is already being managed by another vCenter Server
  vmware.vapi.std.errors.UnableToAllocateResource | if there are not enough licenses to add the host.
  vmware.vapi.std.errors.Unauthenticated | if the user name or password for the administration account on the host are invalid.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unsupported | if the software version on the host is not supported.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  spec | Specification for the new host to be created.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The newly created identifier of the host in vCenter. The result will be an identifier for the resource type: `HostSystem` .

Implements vmware::vcenter::Host.

global::System.Threading.Tasks.Task<string> vmware::vcenter::HostStub::CreateAsync | ( | vmware.vcenter.HostTypes.CreateSpec | spec | ) | `[inline]`

Add a new standalone host in the vCenter inventory.

The newly connected host will be in connected state. The vCenter Server will verify the SSL certificate before adding the host to its inventory. In the case where the SSL certificate cannot be verified because the Certificate Authority is not recognized or the certificate is self signed, the vCenter Server will fall back to thumbprint verification mode as defined by Host.CreateSpec.ThumbprintVerification .

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | if the host with the same name is already present.
  vmware.vapi.std.errors.Error | if installation of VirtualCenter agent on a host fails.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.InvalidArgument | if the host name is invalid.
  vmware.vapi.std.errors.InvalidArgument | if the host folder is invalid.
  vmware.vapi.std.errors.InvalidArgument | if the SSL thumbprint specified is invalid.
  vmware.vapi.std.errors.InvalidElementType | if the host folder id does not support vSphere compute resource as its children type.
  vmware.vapi.std.errors.ResourceInUse | if the host is already being managed by another vCenter Server
  vmware.vapi.std.errors.UnableToAllocateResource | if there are not enough licenses to add the host.
  vmware.vapi.std.errors.Unauthenticated | if the user name or password for the administration account on the host are invalid.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unsupported | if the software version on the host is not supported.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  spec | Specification for the new host to be created.

Returns:
  The newly created identifier of the host in vCenter. The result will be an identifier for the resource type: `HostSystem` .

Implements vmware::vcenter::Host.

void vmware::vcenter::HostStub::Delete | ( | string | host | ) | `[inline]`

Remove a standalone host from the vCenter Server.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if there is no host associated with host in the system.
  vmware.vapi.std.errors.ResourceInUse | if the host associated with host is in a vCenter cluster
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  host | Identifier of the host to be deleted. The parameter must be an identifier for the resource type: `HostSystem` .

Implements vmware::vcenter::Host.

void vmware::vcenter::HostStub::Delete | ( | string | host,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Remove a standalone host from the vCenter Server.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if there is no host associated with host in the system.
  vmware.vapi.std.errors.ResourceInUse | if the host associated with host is in a vCenter cluster
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  host | Identifier of the host to be deleted. The parameter must be an identifier for the resource type: `HostSystem` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::Host.

global::System.Threading.Tasks.Task vmware::vcenter::HostStub::DeleteAsync | ( | string | host,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Remove a standalone host from the vCenter Server.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if there is no host associated with host in the system.
  vmware.vapi.std.errors.ResourceInUse | if the host associated with host is in a vCenter cluster
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  host | Identifier of the host to be deleted. The parameter must be an identifier for the resource type: `HostSystem` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::Host.

global::System.Threading.Tasks.Task vmware::vcenter::HostStub::DeleteAsync | ( | string | host | ) | `[inline]`

Remove a standalone host from the vCenter Server.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if there is no host associated with host in the system.
  vmware.vapi.std.errors.ResourceInUse | if the host associated with host is in a vCenter cluster
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  host | Identifier of the host to be deleted. The parameter must be an identifier for the resource type: `HostSystem` .

Implements vmware::vcenter::Host.

void vmware::vcenter::HostStub::Disconnect | ( | string | host | ) | `[inline]`

Disconnect the host corresponding to host from the vCenter server.

Exceptions:

  vmware.vapi.std.errors.AlreadyInDesiredState | if the host associated with host is already disconnected.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if there is no host associated with host in the system.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  host | Identifier of the host to be disconnected. The parameter must be an identifier for the resource type: `HostSystem` .

Implements vmware::vcenter::Host.

void vmware::vcenter::HostStub::Disconnect | ( | string | host,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Disconnect the host corresponding to host from the vCenter server.

Exceptions:

  vmware.vapi.std.errors.AlreadyInDesiredState | if the host associated with host is already disconnected.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if there is no host associated with host in the system.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  host | Identifier of the host to be disconnected. The parameter must be an identifier for the resource type: `HostSystem` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::Host.

global::System.Threading.Tasks.Task vmware::vcenter::HostStub::DisconnectAsync | ( | string | host,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Disconnect the host corresponding to host from the vCenter server.

Exceptions:

  vmware.vapi.std.errors.AlreadyInDesiredState | if the host associated with host is already disconnected.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if there is no host associated with host in the system.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  host | Identifier of the host to be disconnected. The parameter must be an identifier for the resource type: `HostSystem` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::Host.

global::System.Threading.Tasks.Task vmware::vcenter::HostStub::DisconnectAsync | ( | string | host | ) | `[inline]`

Disconnect the host corresponding to host from the vCenter server.

Exceptions:

  vmware.vapi.std.errors.AlreadyInDesiredState | if the host associated with host is already disconnected.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if there is no host associated with host in the system.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  host | Identifier of the host to be disconnected. The parameter must be an identifier for the resource type: `HostSystem` .

Implements vmware::vcenter::Host.

global::System.Collections.Generic.List<vmware.vcenter.HostTypes.Summary> vmware::vcenter::HostStub::List | ( | vmware.vcenter.HostTypes.FilterSpec | filter | ) | `[inline]`

Returns information about at most 1000 visible (subject to permission checks) hosts in vCenter matching the Host.FilterSpec .

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if the Host.FilterSpec.connectionStates field contains a value that is not supported by the server.
  vmware.vapi.std.errors.UnableToAllocateResource | if more than 1000 hosts match the Host.FilterSpec .
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  filter | Specification of matching hosts for which information should be returned. If null, the behavior is equivalent to a Host.FilterSpec with all fields null which means all hosts match the filter.

Returns:
  Commonly used information about the hosts matching the Host.FilterSpec .

Implements vmware::vcenter::Host.

global::System.Collections.Generic.List<vmware.vcenter.HostTypes.Summary> vmware::vcenter::HostStub::List | ( | vmware.vcenter.HostTypes.FilterSpec | filter,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns information about at most 1000 visible (subject to permission checks) hosts in vCenter matching the Host.FilterSpec .

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if the Host.FilterSpec.connectionStates field contains a value that is not supported by the server.
  vmware.vapi.std.errors.UnableToAllocateResource | if more than 1000 hosts match the Host.FilterSpec .
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  filter | Specification of matching hosts for which information should be returned. If null, the behavior is equivalent to a Host.FilterSpec with all fields null which means all hosts match the filter.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Commonly used information about the hosts matching the Host.FilterSpec .

Implements vmware::vcenter::Host.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.HostTypes.Summary> > vmware::vcenter::HostStub::ListAsync | ( | vmware.vcenter.HostTypes.FilterSpec | filter,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns information about at most 1000 visible (subject to permission checks) hosts in vCenter matching the Host.FilterSpec .

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if the Host.FilterSpec.connectionStates field contains a value that is not supported by the server.
  vmware.vapi.std.errors.UnableToAllocateResource | if more than 1000 hosts match the Host.FilterSpec .
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  filter | Specification of matching hosts for which information should be returned. If null, the behavior is equivalent to a Host.FilterSpec with all fields null which means all hosts match the filter.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Commonly used information about the hosts matching the Host.FilterSpec .

Implements vmware::vcenter::Host.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.HostTypes.Summary> > vmware::vcenter::HostStub::ListAsync | ( | vmware.vcenter.HostTypes.FilterSpec | filter | ) | `[inline]`

Returns information about at most 1000 visible (subject to permission checks) hosts in vCenter matching the Host.FilterSpec .

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if the Host.FilterSpec.connectionStates field contains a value that is not supported by the server.
  vmware.vapi.std.errors.UnableToAllocateResource | if more than 1000 hosts match the Host.FilterSpec .
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  filter | Specification of matching hosts for which information should be returned. If null, the behavior is equivalent to a Host.FilterSpec with all fields null which means all hosts match the filter.

Returns:
  Commonly used information about the hosts matching the Host.FilterSpec .

Implements vmware::vcenter::Host.

The documentation for this class was generated from the following file:

- HostStub.cs